#target photoshop
//
// UndoAdjustment.jsx
//

//
// Generated Tue Jun 10 2014 11:40:35 GMT+0400
//

cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };

//
//==================== Undo Adjustment ==============
//
function UndoAdjustment() {
  // Delete
  function step1(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    executeAction(cTID('Dlt '), desc1, dialogMode);
  };

  step1();      // Delete
};



//=========================================
//                    UndoAdjustment.main
//=========================================
//

UndoAdjustment.main = function () {
  UndoAdjustment();
};

UndoAdjustment.main();

// EOF

"UndoAdjustment.jsx"
// EOF
